# This is an unofficial package of the Python versions for PyPI
# https://bitbucket.org/spookylukey/diff-match-patch for packaging issues.
#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module	diff_match_patch
Summary:	The Diff Match and Patch libraries
Name:		python-%{module}
Version:	20121119
Release:	8
License:	ASL
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/22/82/46eaeab04805b4fac17630b59f30c4f2c8860988bcefd730ff4f1992908b/diff-match-patch-%{version}.tar.gz
# Source0-md5:	08e02cad82dda942b09ee248772fe143
URL:		https://code.google.com/p/google-diff-match-patch/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Diff Match and Patch libraries offer robust algorithms to perform
the operations required for synchronizing plain text.

%package -n python3-%{module}
Summary:	The Diff Match and Patch libraries
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
The Diff Match and Patch libraries offer robust algorithms to perform
the operations required for synchronizing plain text.

%prep
%setup -q -n diff-match-patch-%{version}

# Remove bundled egg-info
%{__rm} -r python2/diff_match_patch.egg-info

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%files
%defattr(644,root,root,755)
%doc README.original.txt README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.original.txt README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-diff_match_patch.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 3cf308b
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> afe2634
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 92b15bd
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 183aa7b
- release 5 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 33ca5be
- rebuild with python 3.8
- release 4 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 54b4dbb
- python 3.7 rebuild
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 9539220
- python 3.6
- release 2 (by relup.sh)

* Thu May 05 2016 Elan Ruusamäe <glen@delfi.ee> 3f6e30a
- new, version 20121119

